Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues list Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.3.2

Description

I have an empty, just installed Redmine.

While try to have a look at issue list i get a message "visibility ist not included in list".

Having some google i found some issues with table queries und some sql to fix  NULL problem.

As my queries table has no content (Count(*) = 0) such fix would not have an effect.

Any idea whats going on here?

thanks und by  from germany

Ronny

Windows Server 2012R2

Sql Server 2016

Installed yesterday and no content (tickets or so on).

Environment:

  Redmine version                3.3.2.stable

  Ruby version                   2.1.7-p400 (2015-08-18) [x64-mingw32]

  Rails version                  4.2.7.1

  Environment                    production

  Database adapter               SQLServer

SCM:

  Filesystem                     

Redmine plugins:

  no plugin installed

History

#1 - 2017-01-18 16:01 - Ronny .

select * from queries

id          project_id  name  filters  user_id  column_names  sort_criteria  group_by  type   visibility  options

----------- ----------- ----- -------- -------- ------------- -------------- --------- ------ ----------- --------

(0 Zeile(n) betroffen)

Saving a filter will remove that message. Deleteing that saved filter will put the message there again.

Ronny

#2 - 2017-01-18 16:06 - Ronny .

- File vis_not_inc.png added
#3 - 2017-01-18 16:32 - Toshi MARUYAMA

- Related to Defect #17147: Public/private saved queries are not separated anymore added

#4 - 2017-01-18 17:45 - Ronny .

Ok, i did some more research.

I found this All Issues shows "visibility is not included in the list".

Written in the single comment there was a hint to set database role of the user to db_owner .

This seems to solve my problem, i no longer get the error message.

What should be done:

I used this SQL to create the database schmea (found in installation wiki on this page). This should be updated.

USE [master]

GO

-- Very basic DB creation

CREATE DATABASE [REDMINE]

GO

-- Creation of a login with SQL Server login/password authentication and no password expiration policy

CREATE LOGIN [REDMINE] WITH PASSWORD=N'redminepassword', DEFAULT_DATABASE=[REDMINE], CHECK_EXPIRATION=OFF, CHE

CK_POLICY=OFF

GO

-- User creation using previously created login authentication

USE [REDMINE]

GO

CREATE USER [REDMINE] FOR LOGIN [REDMINE]

GO

-- User permissions set via roles

EXEC sp_addrolemember N'db_datareader', N'REDMINE'

GO

EXEC sp_addrolemember N'db_datawriter', N'REDMINE'

GO

 Maybe a tool the chekcs database right would be helpfull.
https://www.redmine.org/boards/2/topics/48158


Whats about a subpage at Admin-section of Redmine called "Check database". Here you could put a button which starts some SQL-calls to

determine if the database is set to a privilege level to fullfill the request of redmine?

cheers

Ronny

#5 - 2017-02-14 13:38 - Toshi MARUYAMA

- Related to deleted (Defect #17147: Public/private saved queries are not separated anymore)

#6 - 2017-02-14 13:39 - Toshi MARUYAMA

- Subject changed from Visibility not included in list to SQLServer: Visibility not included in list

- Status changed from New to Closed

- Resolution set to Invalid
vis_not_inc.png 23.8 KB 2017-01-18 Ronny .
